Skip to main content
GET
/
orgs
/
{org_id}
/
records
/
{record_id}
/
activities
List record activities
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/records/{record_id}/activities \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "actor": {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "avatar": "<string>",
      "seen_at": "2023-11-07T05:31:56Z"
    },
    "assistant": {
      "id": "<string>",
      "name": "<string>",
      "avatar_url": "<string>"
    },
    "segment": {
      "id": "<string>",
      "name": "<string>",
      "contacts_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "broadcast": {
      "id": "<string>",
      "name": "<string>"
    },
    "comment": "<string>",
    "attachments": [
      {
        "id": "<string>",
        "file_path": "<string>",
        "file_filename": "document.pdf",
        "file_size": 1024,
        "file_mimetype": "application/pdf",
        "file_url": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "file": {
      "id": "<string>",
      "file_path": "<string>",
      "file_filename": "document.pdf",
      "file_size": 1024,
      "file_mimetype": "application/pdf",
      "file_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "metadata": {
      "changes": [
        {
          "key": "<string>",
          "old_value": "<unknown>",
          "new_value": "<unknown>"
        }
      ]
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

record_id
string
required

Record ID

Query Parameters

type
enum<string>

Schema for the type of an activity event

Available options:
comment_created,
file_uploaded,
segment_added,
segment_removed,
contact_blocked,
contact_unblocked,
contact_unsubscribed,
contact_resubscribed,
contact_updated
contact_id
string

Filter to activities scoped to this contact.

table_id
string

Filter to activities scoped to this table.

record_id
string

Filter to activities scoped to this table record.

actor_id
string

Filter to activities performed by this user.

assistant_id
string

Filter to activities performed by this assistant.

segment_id
string

Filter to activities involving this segment.

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
type
enum<string>
required

Schema for the type of an activity event

Available options:
comment_created,
file_uploaded,
segment_added,
segment_removed,
contact_blocked,
contact_unblocked,
contact_unsubscribed,
contact_resubscribed,
contact_updated
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
actor
object

Schema for a limited user

assistant
object

Schema for an assistant actor in an activity

segment
object

Schema for the segment

broadcast
object

Public information about a broadcast

comment
string | null

Comment body when type='comment' (null/undefined otherwise)

attachments
object[]

Files attached to the comment when type='comment'

file
object

Detailed information about a file

metadata
object

Activity metadata payload. Discriminated by type, which mirrors the parent activity row type.